/****************************************************************************
*
*   Copyright (c) 2008 www.societyofrobots.com
*   (please link back if you use this code!)
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License version 2 as
*   published by the Free Software Foundation.
*
*   Alternatively, this software may be distributed under the terms of BSD
*   license.
*
****************************************************************************/

/******define servo functions******/
//define electronics/ribs/motors to specific hardware pins
#define arm_left_base( position )				servo(PORTE,7,position)
#define arm_left_J1( position )					servo(PORTB,5,position)//H4, use H3 to turn it off
#define arm_left_J2( position )					servo(PORTE,3,position)
#define arm_left_claw( position )				servo(PORTE,5,position)

#define arm_right_base( position )				servo(PORTH,4,position)
#define arm_right_J1( position )				servo(PORTB,7,position)
#define arm_right_J2( position )				servo(PORTL,6,position)
#define arm_right_claw( position )				servo(PORTL,7,position)

#define wheel_left( position )					servo(PORTH,6,position)
#define wheel_right( position )					servo(PORTL,0,position)

#define camera_hor( position )					servo(PORTG,3,position)
#define camera_ver( position )					servo(PORTL,2,position)
/**********************************/


/***********define UART************/
/*int bluetooth=0;
int USB=1;
int uart2=2;
int black_fin=3*/

/**********************************/
